MIGRATION_ISSUES_DETAILS["64c545f0-318c-4b67-a1f6-d045128909a4"] = [
{description: "<p>Oracle WebLogic Server provides a proprietary <code>ServletAuthentication<\/code> class to perform programmatic login.<\/p><p>In Red Hat JBoss EAP 6, you can use the standard Java EE 6 servlet security 3.0 <code>HttpServletRequest.login()<\/code> method or you can define a <code>&lt;security-constraint&gt;<\/code> element in the web.xml file. You must also replace code that uses the Oracle WebLogic Server proprietary <code>ServletAuthentication<\/code> class.<\/p>", ruleID: "weblogic-webapp-09000", issueName: "WebLogic proprietary ServletAuthentication annotation",
problemSummaryID: "64c545f0-318c-4b67-a1f6-d045128909a4", files: [
{l:"<a class='' href='AuthenticateFilter_java.html?project=73984'>com.acme.anvil.AuthenticateFilter<\/a>", oc:"1"},
], resourceLinks: [
{h:"https://access.redhat.com/articles/1329213", t:"Migrate Oracle WebLogic programmatic login to JBoss EAP 6"},
]},
];
onProblemSummaryLoaded("64c545f0-318c-4b67-a1f6-d045128909a4");